aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-27 00:01:15 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-27 00:01:15 +1300
commitb7ce245e859b946deee740bc617f2b997a52e9dd (patch)
treedb832ca74e9973279a80733825d8fd36ddb8edab
parentBreak up some long lines (diff)
downloaddotfiles-b7ce245e859b946deee740bc617f2b997a52e9dd.tar.gz
dotfiles-b7ce245e859b946deee740bc617f2b997a52e9dd.zip
Two-space sentences in shell comments
-rw-r--r--bash/bash_completion.d/_text_filenames.bash2
-rw-r--r--bash/bash_completion.d/make.bash2
-rw-r--r--bash/bashrc.d/keep.bash2
-rw-r--r--bin/ax.sh2
-rw-r--r--bin/chn.mi52
-rw-r--r--bin/dub.sh2
-rw-r--r--bin/han.bash2
-rw-r--r--bin/mi5.awk6
-rw-r--r--bin/pa.sh2
-rw-r--r--bin/paz.sh2
-rw-r--r--bin/rep.sh4
-rw-r--r--bin/rndi.awk2
-rw-r--r--bin/sta.sh2
-rw-r--r--bin/xrbg.sh2
-rw-r--r--ksh/kshrc.d/keep.ksh2
-rw-r--r--ksh/shrc.d/ksh.sh10
-rw-r--r--readline/inputrc2
-rw-r--r--sh/profile.d/options.sh2
-rw-r--r--sh/shrc.d/gt.sh4
-rw-r--r--sh/shrc.d/hgrep.sh2
-rw-r--r--sh/shrc.d/pd.sh2
-rw-r--r--sh/shrc.d/rd.sh2
-rw-r--r--sh/shrc.d/scr.sh2
-rw-r--r--sh/shrc.d/sd.sh4
-rw-r--r--sh/shrc.d/ud.sh2
-rw-r--r--zsh/profile.d/zsh.sh4
-rw-r--r--zsh/zshrc2
-rw-r--r--zsh/zshrc.d/keep.zsh2
28 files changed, 38 insertions, 38 deletions
diff --git a/bash/bash_completion.d/_text_filenames.bash b/bash/bash_completion.d/_text_filenames.bash
index b6e035ad..0f7f6dd8 100644
--- a/bash/bash_completion.d/_text_filenames.bash
+++ b/bash/bash_completion.d/_text_filenames.bash
@@ -3,7 +3,7 @@
#
# I've seen some very clever people figure out ways to actually read the files
# or run something like file(1) over them to make an educated guess as to
-# whether they're binary or not, but I don't really want to go that far. It's
+# whether they're binary or not, but I don't really want to go that far. It's
# not supposed to be perfect, just a bit more likely to complete singly with
# the thing I want, and I want it to stay fast.
#
diff --git a/bash/bash_completion.d/make.bash b/bash/bash_completion.d/make.bash
index b3148ff1..e39cc53e 100644
--- a/bash/bash_completion.d/make.bash
+++ b/bash/bash_completion.d/make.bash
@@ -7,7 +7,7 @@ fi
_make() {
# Find a legible Makefile according to the POSIX spec (look for "makefile"
- # first, then "Makefile"). You may want to add "GNU-makefile" after this.
+ # first, then "Makefile"). You may want to add "GNU-makefile" after this.
local mf
for mf in makefile Makefile '' ; do
! [[ -e $mf ]] || break
diff --git a/bash/bashrc.d/keep.bash b/bash/bashrc.d/keep.bash
index 191dac4b..6796aae7 100644
--- a/bash/bashrc.d/keep.bash
+++ b/bash/bashrc.d/keep.bash
@@ -2,7 +2,7 @@
# keep -- Main function for bashkeep; provided with a list of NAMEs, whether
# shell functions or variables, writes the current definition of each NAME to a
# directory $BASHKEEP (defaults to ~/.bashkeep.d) with a .bash suffix, each of
-# which is reloaded each time this file is called. This allows you to quickly
+# which is reloaded each time this file is called. This allows you to quickly
# arrange to keep that useful shell function or variable you made inline on
# subsequent logins.
#
diff --git a/bin/ax.sh b/bin/ax.sh
index 0007cbed..50b839cf 100644
--- a/bin/ax.sh
+++ b/bin/ax.sh
@@ -18,5 +18,5 @@ esac
# Important note: there's little stopping the user from putting a fully-fledged
# Awk program into the expression; don't use this anywhere that code injection
-# could wreck your life. See manual page ax(1df).
+# could wreck your life. See manual page ax(1df).
awk -v form="$form" 'BEGIN{printf form,('"$expr"');exit}'
diff --git a/bin/chn.mi5 b/bin/chn.mi5
index dfc1000c..28178ac0 100644
--- a/bin/chn.mi5
+++ b/bin/chn.mi5
@@ -11,7 +11,7 @@ fi
c=$1
shift
-# Check the repetition count looks sane. Zero is fine!
+# Check the repetition count looks sane. Zero is fine!
if [ "$c" -lt 0 ] ; then
printf >&2 '%s: Nonsensical negative count\n' "$self"
exit 2
diff --git a/bin/dub.sh b/bin/dub.sh
index efdae4e9..e3d16709 100644
--- a/bin/dub.sh
+++ b/bin/dub.sh
@@ -9,7 +9,7 @@ dir=${1:-.} lim=${2:-10}
# Enter the target dir or bail
cd -- "$dir" || exit
-# Some find(1) devilry to deal with newlines as safely as possible. The idea is
+# Some find(1) devilry to deal with newlines as safely as possible. The idea is
# not even to touch them, and warn about their presence; better the results are
# wrong than malformed
nl=$(printf '\n/')
diff --git a/bin/han.bash b/bin/han.bash
index 3c4f6637..e44ffb97 100644
--- a/bin/han.bash
+++ b/bin/han.bash
@@ -1,7 +1,7 @@
# Abstract calls to Bash help vs man(1)
self=han
-# Ensure we're using at least version 2.05. Weird arithmetic syntax needed here
+# Ensure we're using at least version 2.05. Weird arithmetic syntax needed here
# due to leading zeroes and trailing letters in some 2.x version numbers (e.g.
# 2.05a).
# shellcheck disable=SC2128
diff --git a/bin/mi5.awk b/bin/mi5.awk
index 7acb6f3b..c5ca7aff 100644
--- a/bin/mi5.awk
+++ b/bin/mi5.awk
@@ -55,7 +55,7 @@ bmac && NF {
# Start off neither quoting nor macroing.
iquo = imac = 0
- # Crude and slow, clansman. Your parser was no better than that of a clumsy
+ # Crude and slow, clansman. Your parser was no better than that of a clumsy
# child.
for (i = 1; i <= length(src); ) {
@@ -100,8 +100,8 @@ bmac && NF {
# Escape quote terminators
if (substr(src, i, length(unquote)) == unquote) {
- # Dear Mr. President. There are too many variables nowadays.
- # Please eliminate three. I am NOT a crackpot.
+ # Dear Mr. President. There are too many variables nowadays.
+ # Please eliminate three. I am NOT a crackpot.
dst = dst unquote unquote quote
i += length(unquote)
diff --git a/bin/pa.sh b/bin/pa.sh
index 4cfa9dce..7e3e14f8 100644
--- a/bin/pa.sh
+++ b/bin/pa.sh
@@ -1,3 +1,3 @@
-# Print arguments, one per line. Compare paz(1df).
+# Print arguments, one per line. Compare paz(1df).
[ "$#" -gt 0 ] || exit 0
printf '%s\n' "$@"
diff --git a/bin/paz.sh b/bin/paz.sh
index e9b81bd7..32d2355f 100644
--- a/bin/paz.sh
+++ b/bin/paz.sh
@@ -1,3 +1,3 @@
-# Print arguments, terminated by null chars. Compare pa(1df).
+# Print arguments, terminated by null chars. Compare pa(1df).
[ "$#" -gt 0 ] || exit 0
printf '%s\0' "$@"
diff --git a/bin/rep.sh b/bin/rep.sh
index e53cbac3..522187b6 100644
--- a/bin/rep.sh
+++ b/bin/rep.sh
@@ -11,13 +11,13 @@ fi
c=$1
shift
-# Check the repetition count looks sane. Zero is fine!
+# Check the repetition count looks sane. Zero is fine!
if [ "$c" -lt 0 ] ; then
printf >&2 '%s: Nonsensical negative count\n' "$self"
exit 2
fi
-# Run the command the specified number of times. Stop immediately as soon as a
+# Run the command the specified number of times. Stop immediately as soon as a
# run fails.
while [ "${n=1}" -le "$c" ] ; do
"$@" || exit
diff --git a/bin/rndi.awk b/bin/rndi.awk
index 02e0574f..7d9c640b 100644
--- a/bin/rndi.awk
+++ b/bin/rndi.awk
@@ -1,4 +1,4 @@
-# Get a low-quality random number between two integers. Depending on the awk
+# Get a low-quality random number between two integers. Depending on the awk
# implementation, if you don't have rnds(1df) available to generate a seed of
# sufficient quality, you might get very predictable random numbers based on
# the current epoch second.
diff --git a/bin/sta.sh b/bin/sta.sh
index 5736842a..a32e87f6 100644
--- a/bin/sta.sh
+++ b/bin/sta.sh
@@ -1,5 +1,5 @@
# Print list of sls(1df) hostnames that exit 0 when a connection is attempted
-# and the optional given command is run. Discard stdout, but preserve stderr.
+# and the optional given command is run. Discard stdout, but preserve stderr.
sls | while read -r hostname ; do
# shellcheck disable=SC2029
ssh -nq -- "$hostname" "$@" >/dev/null || continue
diff --git a/bin/xrbg.sh b/bin/xrbg.sh
index 617a9b43..0c7262c0 100644
--- a/bin/xrbg.sh
+++ b/bin/xrbg.sh
@@ -1,3 +1,3 @@
-# Apply a random background image. Requires rndf(1df) and feh(1).
+# Apply a random background image. Requires rndf(1df) and feh(1).
bg=$(rndf "${XBACKGROUNDS:-"$HOME"/.xbackgrounds}") || exit
feh --bg-scale --no-fehbg -- "$bg"
diff --git a/ksh/kshrc.d/keep.ksh b/ksh/kshrc.d/keep.ksh
index 629b2fe6..c1546deb 100644
--- a/ksh/kshrc.d/keep.ksh
+++ b/ksh/kshrc.d/keep.ksh
@@ -9,7 +9,7 @@ esac
# keep -- Main function for kshkeep; provided with a list of NAMEs, whether
# shell functions or variables, writes the current definition of each NAME to a
# directory $KSHKEEP (defaults to ~/.kshkeep.d) with a .ksh suffix, each of
-# which is reloaded each time this file is called. This allows you to quickly
+# which is reloaded each time this file is called. This allows you to quickly
# arrange to keep that useful shell function or variable you made inline on
# subsequent logins.
#
diff --git a/ksh/shrc.d/ksh.sh b/ksh/shrc.d/ksh.sh
index cc6eeb32..8913b4a1 100644
--- a/ksh/shrc.d/ksh.sh
+++ b/ksh/shrc.d/ksh.sh
@@ -1,15 +1,15 @@
# If we're running some kind of ksh, we'll need to source its specific
-# configuration if it was defined or if we can find it. Bash and Zsh invoke
+# configuration if it was defined or if we can find it. Bash and Zsh invoke
# their own rc files first, which I've written to then look for ~/.shrc; ksh
# does it the other way around.
# Unfortunately, this isn't very simple, because KSH_VERSION is set by PDKSH
# and derivatives, and in ksh93t+ and above, but not in earlier versions of
-# ksh93. To make matters worse, the best way I can find for testing the version
+# ksh93. To make matters worse, the best way I can find for testing the version
# makes other shells throw tantrums.
-# Does the name of our shell have "ksh" in it at all? This is in no way
-# guaranteed. It's just a heuristic that e.g. Bash shouldn't pass.
+# Does the name of our shell have "ksh" in it at all? This is in no way
+# guaranteed. It's just a heuristic that e.g. Bash shouldn't pass.
case $0 in
*ksh*) ;;
*) return ;;
@@ -19,7 +19,7 @@ esac
# before we proceed ...
if [ -z "$KSH_VERSION" ] ; then
- # Test whether we have content in the .sh.version variable. Suppress errors
+ # Test whether we have content in the .sh.version variable. Suppress errors
# and run it in a subshell to work around parsing error precedence.
# shellcheck disable=SC2234
( test -n "${.sh.version}" ) 2>/dev/null || return
diff --git a/readline/inputrc b/readline/inputrc
index 857952cd..f9007c24 100644
--- a/readline/inputrc
+++ b/readline/inputrc
@@ -53,7 +53,7 @@ $if Bash
# Expand ! history with a spacebar press
# Note that this makes your shell unusable if your Bash doesn't have
- # magic-space. It's had this feature since 2.02, which is below the minimum
+ # magic-space. It's had this feature since 2.02, which is below the minimum
# 2.05a supported by these dotfiles.
Space: magic-space
diff --git a/sh/profile.d/options.sh b/sh/profile.d/options.sh
index c60dd140..ad9d43ab 100644
--- a/sh/profile.d/options.sh
+++ b/sh/profile.d/options.sh
@@ -1,4 +1,4 @@
-# Cache the options available to certain programs. Run all this in a subshell
+# Cache the options available to certain programs. Run all this in a subshell
# (none of its state needs to endure in the session)
(
options() {
diff --git a/sh/shrc.d/gt.sh b/sh/shrc.d/gt.sh
index 193a2996..ef24a4bb 100644
--- a/sh/shrc.d/gt.sh
+++ b/sh/shrc.d/gt.sh
@@ -1,5 +1,5 @@
-# If the argument is a directory, change to it. If it's a file, change to its
-# parent. Stands for "get to".
+# If the argument is a directory, change to it. If it's a file, change to its
+# parent. Stands for "get to".
gt() {
# Check argument count
diff --git a/sh/shrc.d/hgrep.sh b/sh/shrc.d/hgrep.sh
index 9d7542b4..ba36ec99 100644
--- a/sh/shrc.d/hgrep.sh
+++ b/sh/shrc.d/hgrep.sh
@@ -1,4 +1,4 @@
-# Search shell history file for a pattern. If you put your whole HISTFILE
+# Search shell history file for a pattern. If you put your whole HISTFILE
# contents into memory, then you probably don't need this, as you can just do:
#
# $ history | grep PATTERN
diff --git a/sh/shrc.d/pd.sh b/sh/shrc.d/pd.sh
index d5257ba5..77f6bae9 100644
--- a/sh/shrc.d/pd.sh
+++ b/sh/shrc.d/pd.sh
@@ -1,6 +1,6 @@
# Attempt to change into the argument's parent directory; This is intended for
# use when you've got a file path in a variable, or in history, or in Alt+.,
-# and want to quickly move to its containing directory. In the absence of an
+# and want to quickly move to its containing directory. In the absence of an
# argument, this just shifts up a directory, i.e. `cd ..`
#
# Note this is equivalent to `ud 1`.
diff --git a/sh/shrc.d/rd.sh b/sh/shrc.d/rd.sh
index 5fbd5ac5..e6d761a6 100644
--- a/sh/shrc.d/rd.sh
+++ b/sh/shrc.d/rd.sh
@@ -1,5 +1,5 @@
# Replace the first instance of the first argument string with the second
-# argument string in $PWD, and make that the target of the cd builtin. This is
+# argument string in $PWD, and make that the target of the cd builtin. This is
# to emulate a feature of the `cd` builtin in Zsh that I like, but that I think
# should be a separate command rather than overloading `cd`.
#
diff --git a/sh/shrc.d/scr.sh b/sh/shrc.d/scr.sh
index 14a58ad1..19367ffc 100644
--- a/sh/shrc.d/scr.sh
+++ b/sh/shrc.d/scr.sh
@@ -1,5 +1,5 @@
# Create a temporary directory and change into it, to stop me putting stray
-# files into $HOME, and making the system do cleanup for me. Single optional
+# files into $HOME, and making the system do cleanup for me. Single optional
# argument is the string to use for naming the directory; defaults to "scr".
scr() {
# shellcheck disable=SC2164
diff --git a/sh/shrc.d/sd.sh b/sh/shrc.d/sd.sh
index 58d1a375..04b50f6d 100644
--- a/sh/shrc.d/sd.sh
+++ b/sh/shrc.d/sd.sh
@@ -72,7 +72,7 @@ sd() {
# Check the number of matches
case $# in
- # One match? Must be $PWD, so no siblings--throw in 0 just in
+ # One match? Must be $PWD, so no siblings--throw in 0 just in
# case, but that Shouldn't Happen (TM)
0|1)
printf >&2 'sd(): No siblings\n'
@@ -99,7 +99,7 @@ sd() {
esac
;;
- # Anything else? Multiple siblings--user will need to specify
+ # Anything else? Multiple siblings--user will need to specify
*)
printf >&2 'sd(): Multiple siblings\n'
return 1
diff --git a/sh/shrc.d/ud.sh b/sh/shrc.d/ud.sh
index f7f33caf..419f0446 100644
--- a/sh/shrc.d/ud.sh
+++ b/sh/shrc.d/ud.sh
@@ -9,7 +9,7 @@ ud() {
fi
set -- "${1:-1}" "${2:-"$PWD"}"
- # Check first argument, number of steps upward. "0" is weird, but valid;
+ # Check first argument, number of steps upward. "0" is weird, but valid;
# "-1" however makes no sense at all
if [ "$1" -lt 0 ] ; then
printf >&2 'ud(): Invalid step count\n'
diff --git a/zsh/profile.d/zsh.sh b/zsh/profile.d/zsh.sh
index 37ec8014..530c5d5b 100644
--- a/zsh/profile.d/zsh.sh
+++ b/zsh/profile.d/zsh.sh
@@ -1,8 +1,8 @@
# Zsh before version 5.3.0 emulating POSIX sh(1) or Korn shell only sources the
# interactive shell startup file described in ENV if it's set after
-# /etc/profile is sourced, but before ~/.profile is. The other shells I have
+# /etc/profile is sourced, but before ~/.profile is. The other shells I have
# tried (including modern shells emulating POSIX sh(1)) wait until after
-# ~/.profile is read. This seems to have been fixed in Zsh commit ID fde365e,
+# ~/.profile is read. This seems to have been fixed in Zsh commit ID fde365e,
# which was followed by release 5.3.0.
# This hack is only applicable to interactive zsh invoked as sh/ksh, when ENV
diff --git a/zsh/zshrc b/zsh/zshrc
index 0e111364..25d90ead 100644
--- a/zsh/zshrc
+++ b/zsh/zshrc
@@ -1,6 +1,6 @@
# Clear away all aliases; we do this here rather than in $ENV because the ksh
# family of shells relies on aliases to implement certain POSIX utilities like
-# `fc` and `type`. Ignore output, as older Zsh seems not to implement this
+# `fc` and `type`. Ignore output, as older Zsh seems not to implement this
# (quelle surprise).
unalias -a >/dev/null 2>&1
diff --git a/zsh/zshrc.d/keep.zsh b/zsh/zshrc.d/keep.zsh
index 7d460272..869d2039 100644
--- a/zsh/zshrc.d/keep.zsh
+++ b/zsh/zshrc.d/keep.zsh
@@ -2,7 +2,7 @@
# keep -- Main function for zshkeep; provided with a list of NAMEs, whether
# shell functions or variables, writes the current definition of each NAME to a
# directory $ZSHKEEP (defaults to ~/.zshkeep.d) with a .zsh suffix, each of
-# which is reloaded each time this file is called. This allows you to quickly
+# which is reloaded each time this file is called. This allows you to quickly
# arrange to keep that useful shell function or variable you made inline on
# subsequent logins.
#